spring:
  application:
    name: greenfrog
  datasource:
    url: jdbc:mysql://rm-uf6g259329on1376u.mysql.rds.aliyuncs.com:3306/greenfrog?useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true&allowMultiQueries=true
    username: zsy
    password: DtRcBCWYmMSd7Vre2jT
  security:
    auth-ignores:
      - /auth/obtain_code
      - /user/register
      - /user/getOpenId
      - /user/getMiniPhone
      - /oss/**
      - /district/tree
      - /sys_sn_config/add
      - /test/**
      - /device_info/report1
      - /device_info/report2
      - /geo_fence_config/**
      - /statistics/**
      - /district/default_place
      - /bulletin/detail
      - /bulletin/paging
      - /truck_location_track/**
      - /fdx
      - /payment/wechat/notify
      - /payment/wechat/refundNotify
      - /district/areaList
      - /biz_audit_config/copy
      - /wechatTemplateMessage/key
      - /hsoa/push_order

app:
  in-out-gap: 180
  default-place:
    province: 340000
    city: 341100
    province-name: 安徽省
    city-name: 滁州市

oss:
  type: ali
  ali:
    region: cn-shanghai
    endpoint: oss-cn-shanghai.aliyuncs.com
    access-key: LTAI5t96qDgWDzu5rSRHUttZ
    secret-key: GS9wh0stna11POzBXG7kzh0lKYvhkg
    bucket-name: czxcsy-cdn

mybatis-plus:
  tunnel:
    enable: false

wechat:
  #  app-id: wx3c06d9dd4e56c58d
  #  app-secret: ff280a71a4c06fc2956178f8c472ef96
  app-id: wx989ea47a5ddf9bfb
  app-secret: 66c98dc487a372acb4f1931b38fee8ff
  base-url: https://api.weixin.qq.com
  pay:
    app-id: wx989ea47a5ddf9bfb
    mch-id: 1729703110
    # API密钥（32位字符串）
    api-key: KXM36nZCXji1sQt75tGk77k7b2K5RBpf
    # 证书序列号
    cert-serial-no: 1BCB1533688F349541C7B636EF67C666828BADBA
    # 文件路径
    private-key-path: classpath:cert/apiclient_cert.p12
    #    private-key-path: D:/project/再昇云/代码/njzscloud/njzscloud-svr/src/main/resources/cert/apiclient_cert.p12
    # 支付回调地址
    notify-url: http://139.224.32.69:80/api/payment/wechat/notify
    # 退款回调地址
    refund-notify-url: http://139.224.32.69:80/api/payment/wechat/refundNotify

mqtt:
  enabled: true
  broker: tcp://127.0.0.1:1883
  client-id: greenfrog
  username: zsy
  password: zsy_mqtt_cli

localizer:
  enabled: false

hsoa:
  base-url: http://117.68.7.91:8088
  username: chuz_trajectory
  password: e9t2YsgM5ug%2FkpIZpMdY9e9uXq60jyEQ30zQX%2BBzphI%3D
